--[[ Gatter Scale
Author:	t0xic0m
Datum:	16.04.2016
Version:	1
]]

gatterScale = {};

function gatterScale.prerequisitesPresent(specializations) 
    return true;
end; 

function gatterScale:load(xmlFile)
	self.gatterScaleObject = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.gatterScale.gatterScaleObject#index"));
	
	self.isGatterScale = false;
end;

function gatterScale:delete()
end;

function gatterScale:mouseEvent(posX, posY, isDown, isUp, button)
end;

function gatterScale:keyEvent(unicode, sym, modifier, isDown)
end;

function gatterScale:update(dt)
	if self:getIsActiveForInput(true) then
		if InputBinding.hasEvent(InputBinding.GATTER_SCALE_INPUT_BUTTON) then
			self.isGatterScale = (not self.isGatterScale);
		end;
			
		if self.isGatterScale == true then
			setScale (self.gatterScaleObject, 0, 0, 0)
		elseif self.isGatterScale == false then
			setScale (self.gatterScaleObject, 1, 1, 1)
		end;
	end;
end;


function gatterScale:updateTick(dt)
end;

local function L(name)
	return g_i18n:hasText("GATTER_SCALE_INPUT_"..name) and g_i18n:getText("GATTER_SCALE_INPUT_"..name) or name;
end

function gatterScale:draw()
	if self.isClient and self:getIsActiveForInput() then
		if self.isGatterScale then
			g_currentMission:addHelpButtonText(L("OFF"), InputBinding.GATTER_SCALE_INPUT_BUTTON);
		else
			g_currentMission:addHelpButtonText(L("ON"), InputBinding.GATTER_SCALE_INPUT_BUTTON);
		end
	end;
end;